require 'simplecov'
SimpleCov.start

SimpleCov.minimum_coverage 95

# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

RSpec.configure do |config|
  config.raise_errors_for_deprecations!
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
  config.color_enabled = true
end

require 'rspec/expectations'

RSpec::Matchers.define :be_an_array_of do |klass|
  match do |array|
    array.is_a?(Array) && !array.empty? && array.all?{|e| e.is_a?(klass) }
  end
end
